/* Header */

.header {
    margin-top: 2rem;
    margin-bottom: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.header > .back-link {
    margin-bottom: 1rem;
}

.header > .title-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.header > .title-container > .left-container > h1 {
    margin: 0;
}

.header > .title-container > .right-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.header > .title-container > .right-container > * {
    flex-grow: 1;
}

.header > .alert {
    margin-top: 1rem;
    margin-bottom: 0;
}

.header > .description {
    margin: 0;
    margin-top: 0.5rem;
}

@container (min-width: 40rem) {
    .header > .title-container {
        flex-direction: revert;
        align-items: center;
        justify-content: space-between;
        gap: 4rem;
    }

    .header > .title-container > .right-container {
        flex-direction: revert;
        align-items: center;
        flex-grow: revert;
    }

    .header > .title-container > .right-container > * {
        flex-grow: revert;
    }
}

/* Tag */

.tag {
    font-weight: 500;
    font-size: 0.75rem;
    border-radius: 0.375rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    display: inline-block;
    white-space: nowrap;
    text-align: center;
}

/* Agent Type */

.agent-type {
    border-radius: 0.5rem;
    padding: 1rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.agent-type > .tag {
    width: 100%;
    box-sizing: border-box;
}

@container (min-width: 40rem) {
    .agent-type {
        flex-direction: revert;
    }

    .agent-type > .tag {
        width: revert;
    }
}

/* Timeline Item */

.timeline-item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    flex: 1;
}

.timeline-item > .left-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    min-width: 0;
}

.timeline-item > .left-container > .path-container {
    word-break: break-word;
}

.timeline-item > .left-container > .path-container > .path-text {
    word-break: break-word;
}

.timeline-item > .left-container > .title-container {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.timeline-item > .left-container > .title-container > .title {
    color: var(--color-text-contrast-high-primary);
    font-weight: bold;
}

.timeline-item > .left-container > .title-container > .authentication-container {
    height: 1rem;
}

.timeline-item > .left-container > .title-container > .authentication-container > .authentication-icon {
    height: 100%;
}

.timeline-item > .right-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    flex: 1;
}

.timeline-item > .right-container > .time {
    white-space: nowrap;
}

.timeline-item > .right-container > .location {
    white-space: nowrap;
}

@container (min-width: 40rem) {
    .timeline-item {
        flex-direction: revert;
        justify-content: space-between;
        align-items: stretch;
    }

    .timeline-item > .right-container {
        align-items: flex-end;
    }

    .timeline-item > .right-container > .tag-container {
        flex: 1;
    }
}

/* Agent Link */

.agent-link {
    color: var(--color-text-contrast-high-primary);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.agent-link:hover {
    text-decoration: none;
    background-color: var(--color-hover-contrast-low);
}

.agent-link > .top-container {
    display: flex;
    align-items: center;
}

.agent-link .name {
    font-size: 1.25rem;
    margin-top: 0;
    margin-bottom: 0;
}

.agent-link > .description {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}

.agent-link > .bottom-container {
    display: flex;
    align-items: flex-end;
    margin-top: 0.25rem;
    margin-bottom: 0.25rem;
}

.agent-link > .bottom-container > .see-more-link {
    color: var(--color-blue);
    text-align: right;
    margin-left: auto;
}

/* Line Chart */

.line-chart {
    padding: 1rem;
    background-color: var(--color-background-secondary);
    border-radius: 0.5rem;
}

.line-chart > .canvas-container > canvas {
    width: 100% !important;
    height: 100% !important;
}

/* Bar Chart */

.bar-chart {
    padding: 1rem;
    background-color: var(--color-background-secondary);
    border-radius: 0.5rem;
}

.bar-chart > .canvas-container > canvas {
    width: 100% !important;
    height: 100% !important;
}

/* Doughnut Chart */

.doughnut-chart > .canvas-container > canvas {
    width: 2rem;
    height: 2rem;
}

/* Empty State */

.empty-state {
    display: flex;
    padding: 2rem;
    background-color: var(--color-background-secondary);
    border-radius: 0.5rem;
    text-align: center;
    margin-top: 1rem;
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}

/* Banner */

.banner {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    justify-content: center;
    text-align: center;
}

.banner > a {
    width: 100%;
}

@container (min-width: 40rem) {
    .banner {
        flex-direction: row;
    }

    .banner > a {
        width: revert;
    }
}

/* Alert */

.alert {
    padding: 1rem;
    border-radius: 0.5rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.alert > .left-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.alert > .left-container > .title {
    font-weight: bold;
}

.alert > .right-container {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.alert > .right-container > a {
    width: 100%;
}

@container (min-width: 40rem) {
    .alert {
        flex-direction: row;
        align-items: flex-end;
    }

    .alert > .right-container {
        width: revert;
        margin-left: auto;
    }

    .alert > .right-container > a {
        width: revert;
    }
}

/* Footer */

footer {
    font-size: 0.75rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

footer > .left-container {
    display: flex;
    gap: 1rem;
}

footer > .left-container > a {
    color: var(--color-text-contrast-high-primary);
}

footer > .right-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

footer > .right-container > .left-container {
    display: flex;
    gap: 1rem;
    justify-content: center;
}

footer > .right-container > .left-container > a {
    color: var(--color-text-contrast-high-primary);
}

footer > .right-container > .right-container {
    display: flex;
    gap: 1rem;
    justify-content: center;
}

footer > .right-container > .right-container > a > img {
    display: block;
    height: 1rem;
}

@container (min-width: 40rem) {
    footer {
        flex-direction: row;
        align-items: flex-end;
        justify-content: space-between;
    }

    footer > .right-container {
        flex-direction: row;
        gap: 2rem;
    }

    footer > .right-container > .left-container {
        justify-content: flex-start;
    }

    footer > .right-container > .right-container {
        justify-content: flex-start;
    }
}

/* Nav */

nav {
    padding: 1rem;
    display: flex;
    align-items: center;
}

nav > .home-link {
    color: var(--color-text-contrast-high-primary);
    margin-right: auto;
    display: flex;
    align-items: center;
}

nav > .home-link > img {
    height: 2rem;
}

nav > .home-link > span {
    font-weight: bold;
    margin-left: 0.5rem;
}

nav .link {
    color: var(--color-text-contrast-high-primary);
    padding-left: 0.75rem;
    padding-right: 0.75rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    border-radius: 0.5rem;
    text-decoration: none;
}

nav .dropdown {
    border: revert;
    border-radius: 0.5rem;
    background-color: revert;
}

nav .link:hover, nav .dropdown:hover {
    background-color: var(--color-hover-contrast-none);
}

.sign-up-button {
    margin-left: 0.5rem;
}

.projects-button {
    margin-right: 0.5rem;
}

.notifications-button {
    margin-left: 0.5rem;
    position: relative;
}

.notifications-badge {
    position: absolute;
    top: -0.625rem;
    right: -0.625rem;
    border-radius: 0.625rem;
    line-height: 1.25rem;
    padding-left: 0.375rem;
    padding-right: 0.375rem;
    font-size: 0.75rem;
    font-weight: bold;
    color: var(--color-white);
    text-align: center;
    background-color: var(--color-red);
}

nav > .compact-menu {
    display: flex;
    align-items: center;
}

nav > .default-menu {
    display: none;
    align-items: center;
}

@container (min-width: 60rem) {
    nav > .default-menu {
        display: flex;
    }

    nav > .compact-menu {
        display: none;
    }
}

/* Dropdown */

.dropdown {
    position: relative;
    display: inline-block;
    background-color: var(--color-control-contrast-low);
    border: 1px solid var(--color-border-primary);
    border-radius: 0.5rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0.75rem;
    padding-right: 1.75rem;
    white-space: nowrap;
    cursor: pointer;
}

.dropdown:hover {
    background-color: var(--color-hover-contrast-low);
}

.dropdown > .content {
    position: absolute;
    right: 0rem;
    background-color: var(--color-control-contrast-low);
    z-index: 1;
    border-radius: 0.5rem;
    border: 1px solid var(--color-border-primary);
    box-shadow: 0 0 0.5rem var(--color-shadow);
    margin-top: 0.5rem;
}

.dropdown > .content.hidden {
    display: none;
}

.dropdown > .content a {
    margin: 1rem;
    display: block;
    white-space: nowrap;
    color: var(--color-text-contrast-high-primary);
}

.dropdown > .content > .section {
    border-top: 1px solid var(--color-border-primary);
}

.dropdown > .content > .section:first-child {
    border-top: none;
}

.dropdown > .content > .section > .title {
    margin: 1rem;
    white-space: nowrap;
    font-weight: bold;
}

.dropdown::after {
    content: "";
    position: absolute;
    right: 0.75rem;
    width: 0.25rem;
    height: 0.25rem;
    border-left: 1px solid var(--color-text-contrast-high-primary);
    border-bottom: 1px solid var(--color-text-contrast-high-primary);
    transform: translateY(120%) rotate(-45deg);
}

@container (min-width: 40rem) {
    .dropdown > .content {
        right: 0;
        left: revert;
    }
}

/* Tabs */

.tabs {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.tabs > hr {
    margin-top: 0;
}

.tabs > .top-container > .tab-button {
    margin-right: 0.5rem;
    margin-bottom: 1rem;
}

.tabs > .bottom-container > .tab-content-container.hidden {
    display: none;
}

/* Aside */

aside {
    container-type: inline-size;
    padding: 1rem;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    gap: 1rem;
    border-top: 1px solid var(--color-border-primary);
    border-bottom: 1px solid var(--color-border-primary);
}

aside > .back-link {
    margin-bottom: 1rem;
}

aside > .title {
    font-size: 1.5rem;
    font-weight: bold;
    word-break: break-word;
}

aside > .secondary-button {
    width: 100%;
    margin-bottom: 1rem;
}

aside > .section {
    display: flex;
    flex-direction: column;
}

aside > .section > .title {
    font-weight: bold;
    margin-bottom: 0.5rem;
}

aside > .section > .subsection {
    display: flex;
    flex-direction: column;
}

aside > .section > .subsection > .title {
    padding: 0.5rem;
}

aside > .section > .subsection > a {
    color: var(--color-text-contrast-high-primary);
    padding: 0.5rem;
    border-radius: 0.5rem;
    text-decoration: none;
}

aside > .section > .subsection.titled > a {
    padding-left: 1.5rem;
}

aside > .section > .subsection > a:hover {
    background-color: var(--color-hover-contrast-none);
}

aside > .section > .subsection > a.selected {
    background-color: var(--color-background-secondary);
}

aside > .alert {
    margin-top: auto;
    margin-bottom: revert;
    flex-direction: column;
    display: none;
}

@media (min-width: 40rem) {
    aside {
        position: fixed;
        left: 0;
        width: 15rem;
        height: 100%;
        overflow-x: hidden;
        overflow-y: auto;
        border-right: 1px solid var(--color-border-primary);
        border-top: revert;
        border-bottom: revert;
        margin-bottom: revert;
    }
}

@media (min-width: 40rem) {
    aside > .alert {
        display: flex;
    }
}

/* Project Link */

.project-link {
    color: var(--color-text-contrast-high-primary);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.project-link:hover {
    text-decoration: none;
    background-color: var(--color-hover-contrast-low);
}

.project-link > .top-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.project-link > .top-container > .name {
    font-size: 1.5rem;
    font-weight: bold;
}

.project-link > .bottom-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 0.25rem;
}

.project-link > .bottom-container > .open-link {
    color: var(--color-blue);
    white-space: nowrap;
}

/* Timeline */

.timeline {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.timeline > .title {
    font-size: 1.5rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    font-weight: bold;
}

.timeline > .row {
    display: flex;
    gap: 1rem;
}

.timeline > .row > .axis-container > .bullet {
    width: 1rem;
    height: 1rem;
    border-radius: 0.5rem;
    background-color: var(--color-element-contrast-high-primary);
}

.timeline > .row > .axis-container > .line {
    width: 2px;
    height: 100%;
    background-color: var(--color-element-contrast-high-primary);
    margin-left: auto;
    margin-right: auto;
}

.timeline > .row:not(:has(~ .row:not([style*="display: none"]):not([style*="display:none"]))) .axis-container > .line {
    display: none;
}

.timeline > .row > .timeline-item {
    margin-bottom: 2rem;
}

.timeline > .row:last-child > .timeline-item {
    margin-bottom: 0;
}

/* Tip */

.tip {
    padding: 1rem;
    border: 1px solid var(--color-border-primary);
    border-radius: 0.5rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    text-align: center;
    background-color: var(--color-control-contrast-low);
}

/* Metric Insight */

.metric-insight {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
    background-color: var(--color-background-secondary);
    border-radius: 0.5rem;
    padding-top: 1rem;
    padding-bottom: 1.5rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

.metric-insight > .top-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.metric-insight > .top-container > .left-container {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.metric-insight > .top-container > .left-container > .value {
    font-size: 2rem;
    font-weight: bold;
}

.metric-insight > .top-container > .right-container {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.metric-insight > .top-container > .right-container > .pulsing-dot {
    top: 1.5rem;
    right: 1.5rem;
    height: 1rem;
    width: 1rem;
    border-radius: 50%;
    background: #007aff;
}

.pulsing-dot::after {
    content: "";
    height: 100%;
    width: 100%;
    border-radius: 50%;
    background: #007aff;
    display: block;
    animation: pulse 2s ease 0s infinite;
}

/* Animations */

@keyframes pulse {
    0% {
        opacity: 1;
        transform: scale(1);
    }
    80% {
        opacity: 0;
        transform: scale(2.5);
    }
    100% {
        opacity: 0;
        transform: scale(3);
    }
}

/* Notification */

.notification {
    display: flex;
    gap: 1rem;
}

.notification > .left-container > .unread-indicator {
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 0.25rem;
    margin-top: 0.35rem;
}

.notification > .right-container {
    display: flex;
    gap: 1rem;
    flex-direction: column;
    flex: 1;
}

.notification > .right-container > .top-container {
    display: flex;
    gap: 1rem;
    max-width: 70%;
}

.notification > .right-container > .bottom-container {
    display: flex;
    gap: 1rem;
    justify-content: space-between;
}

.notification > .right-container > .bottom-container > .time {
    white-space: nowrap;
}

.notification > .right-container > .bottom-container > .link {
    white-space: nowrap;
}

/* Plan */

.plan {
    background-color: var(--color-background-secondary);
    border-radius: 0.5rem;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.plan {
    position: relative;
}

.plan > .price {
    font-size: 1.5rem;
    font-weight: bold;
}

.plan > .button {
    width: 100%;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.plan > .secondary-button {
    width: 100%;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.plan > .features-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin-bottom: 0.5rem;
}

.plan > .badge {
    position: absolute;
    top: -0.75rem;
    right: -0.75rem;
    border-radius: 0.75rem;
    line-height: 1.5rem;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
    font-size: 0.75rem;
    font-weight: bold;
    color: var(--color-white);
    text-align: center;
}

/* Chart Insight */

.chart-insight {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.chart-insight > .top-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
}

.chart-insight > .top-container > .left-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}

.chart-insight > .top-container > .right-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}

.chart-insight > .bottom-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}

.chart-insight > .bottom-container > .left-container {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.chart-insight > .bottom-container > .right-container {
    display: flex;
    align-items: center;
    gap: 1rem;
}

@container (min-width: 40rem) {
    .chart-insight > .top-container {
        flex-direction: row;
    }
}

/* Line Chart Insight Section */

.line-chart-insight-section {
    display: flex;
    flex-direction: column;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.line-chart-insight-section > .trailing-elements-container {
    margin-top: 0;
}

.line-chart-insight-section > .trailing-elements-container > .right-container > .link {
    white-space: nowrap;
}

/* Code Block */

.code-block {
    border-radius: 0.5rem;
    background-color: var(--color-black);
    position: relative;
}

.code-block > pre {
    margin: 0;
}

.code-block > pre > code {
    background-color: transparent !important;
}

.code-block > .copy-button {
    border: none;
    border-radius: 0.25rem;
    color: var(--color-white);
    background-color: var(--color-translucent-light-white);
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    font-size: 0.75rem;
    position: absolute;
    right: 0.5rem;
    top: 0.5rem;
}

/* Page Row */

.page-row {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
}

.page-row > .left-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    gap: 1rem;
}

.page-row > .right-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    gap: 1rem;
}

.page-row > .right-container > .link {
    white-space: nowrap;
}

@container (min-width: 40rem) {
    .page-row {
        flex-direction: row;
    }

    .page-row > .right-container {
        align-items: flex-end;
    }
}

/* Agent Row */

.agent-row {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.agent-row > .left-container {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
    flex: 1;
    min-width: 0;
}

.agent-row > .right-container {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
    flex: 1;
    min-width: 0;
}

.agent-row > .right-container > .right-container {
    display: flex;
    gap: 1rem;
}

@container (min-width: 60rem) {
    .agent-row {
        flex-direction: row;
    }
}

/* Session Row */

.session-row {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.session-row > .left-container {
    display: flex;
    gap: 1rem;
    justify-content: space-between;
}

.session-row > .left-container > .left-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.session-row > .left-container > .right-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.session-row > .left-container > .left-container > .agent-name {
    color: var(--color-text-contrast-high-primary);
}

.session-row > .right-container {
    display: flex;
    gap: 1rem;
    align-items: flex-end;
    justify-content: space-between;
}

.session-row > .right-container > .left-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.session-row > .right-container > .right-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: flex-end;
}

.session-row > .right-container > .right-container > .link {
    white-space: nowrap;
}

@container (min-width: 60rem) {
    .session-row {
        flex-direction: row;
        justify-content: space-between;
    }

    .session-row > .left-container {
        width: 26rem;
        align-items: center;
    }

    .session-row > .right-container {
        width: 24rem;
    }
}

/* Insight Row */

.insight-row {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.insight-row > .left-container {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
    flex: 1;
}

.insight-row > .left-container > .title {
    font-weight: bold;
}

.insight-row > .left-container > .description {
    white-space: nowrap;
}

.insight-row > .right-container {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
    flex: 1;
}

.insight-row > .right-container > .link {
    white-space: nowrap;
}

@container (min-width: 60rem) {
    .insight-row {
        flex-direction: row;
    }
}

/* Agent Table */

.agent-table {
    font-size: 0.75rem;
}

.agent-table th {
    vertical-align: top;
    min-width: 5rem;
}

.agent-table .header-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.agent-table .header-container > .bottom-container {
    font-weight: normal;
}

@container (min-width: 60rem) {
    .agent-table th:nth-child(1) {
        min-width: 10rem;
    }
}

/* Agent Table Row */

.agent-table-row > td > .tag {
    display: block;
}

/* Vertical Bar Chart */

.vertical-bar-chart {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    background-color: var(--color-background-secondary);
    border-radius: 0.5rem;
    font-size: 0.75rem;
}

.vertical-bar-chart > .rows-container {
    display: flex;
    gap: 1rem;
    flex: 1;
}

.vertical-bar-chart > .rows-container > .title-column {
    text-align: right;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    max-width: 50%;
}

.vertical-bar-chart > .rows-container > .title-column > .title {
    color: var(--color-text-contrast-high-primary);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1rem;
}

.vertical-bar-chart > .rows-container > .bar-column {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    flex: 1;
}

.vertical-bar-chart > .rows-container > .bar-column > .bar {
    background-color: var(--color-element-contrast-high-primary);
    width: 100%;
    border-radius: 0.25rem;
    height: 1rem;
}

.vertical-bar-chart > .rows-container > .value-column {
    text-align: right;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.vertical-bar-chart > .rows-container > .value-column > .value {
    line-height: 1rem;
}

.vertical-bar-chart > .bottom-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}

.vertical-bar-chart > .bottom-container > .subtitle {
    text-align: left;
}

.vertical-bar-chart > .bottom-container > .link {
    margin-left: auto;
    text-align: right;
    font-size: 1rem;
    white-space: nowrap;
}

/* Doc Link */

.doc-link {
    color: var(--color-text-contrast-high-primary);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 0.5rem;
}

.doc-link:hover {
    text-decoration: none;
    background-color: var(--color-hover-contrast-low);
}

.doc-link > .left-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.doc-link > .left-container > .top-container {
    display: flex;
    gap: 0.5rem;
}

.doc-link > .left-container > .top-container > .title {
    font-weight: bold;
}

.doc-link > .right-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.doc-link > .right-container > .link {
    color: var(--color-blue);
    white-space: nowrap;
}

@container (min-width: 40rem) {
    .doc-link {
        flex-direction: row;
    }

    .doc-link > .right-container {
        align-items: flex-end;
    }
}

/* Post Link */

.post-link {
    color: var(--color-text-contrast-high-primary);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.post-link:hover {
    text-decoration: none;
    background-color: var(--color-hover-contrast-low);
}

.post-link > .top-container {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.post-link > .top-container > .title {
    font-weight: bold;
    font-size: 1.5rem;
}

.post-link > .bottom-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    gap: 1rem;
}

.post-link > .bottom-container > .link {
    color: var(--color-blue);
    white-space: nowrap;
}

@container (min-width: 40rem) {
    .post-link > .bottom-container {
        flex-direction: row;
    }
}

/* Tag Cluster */

.tag-cluster {
    text-align: center;
}

.tag-cluster > .tag {
    display: inline-block;
    margin: 0.5rem;
}

/* Project Member Row */

.project-member-row {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
}

.project-member-row > .left-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.project-member-row > .left-container > .name {
    font-weight: bold;
}

.project-member-row > .right-container {
    display: flex;
    align-items: center;
    gap: 1rem;
}

/* Pagination Control */

.pagination-control {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
}
